;NSIS Modern User Interface
;Basic Example Script
;Written by Joost Verburg
; Modified for PCEnv by Andrew Miller.

;; Set up paths (todo: move out to a separate file).
!define MOZILLA "c:\mozilla_trunk\obj-i686-pc-cygwin\stablexr\dist\bin"
!define CELLML_API "c:\cygwin\home\build\physiome_builds\trees\CellML_DOM_API_Win32"
!define SUPPORT_DLLS "c:\cygwin\home\build\physiome_builds\trees\CellML_Support_DLLs"
!define SHIPGCC "c:\cygwin\home\build\gcc-binary"

;--------------------------------
;Include Modern UI

  !include "MUI.nsh"

;--------------------------------
;General

  ;Name and file
  Name "Physiome CellML Environment"
  OutFile "pcenv-installer.exe"

  ; Check for corruption of the file.
  CRCCheck on
  ; Set the compressor to use.
  SetCompressor /SOLID lzma

  ;Default installation folder
  InstallDir "$PROGRAMFILES\The University of Auckland\PCEnv"
  
  ;Get installation folder from registry if available
  InstallDirRegKey HKCU "Software\The University of Auckland\PCEnv" ""

;--------------------------------
;Interface Settings

  !define MUI_ABORTWARNING

;--------------------------------
;Variables

  Var MUI_TEMP
  Var STARTMENU_FOLDER

;--------------------------------
;Pages

  !insertmacro MUI_PAGE_LICENSE  "../COPYING"
  !insertmacro MUI_PAGE_COMPONENTS
  !insertmacro MUI_PAGE_DIRECTORY

  ;Start Menu Folder Page Configuration
  !define MUI_STARTMENUPAGE_REGISTRY_ROOT "HKCU" 
  !define MUI_STARTMENUPAGE_REGISTRY_KEY "Software\The University of Auckland\PCEnv" 
  !define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "Start Menu Folder"

  !insertmacro MUI_PAGE_STARTMENU Application $STARTMENU_FOLDER
  !insertmacro MUI_PAGE_INSTFILES

  !insertmacro MUI_UNPAGE_CONFIRM
  !insertmacro MUI_UNPAGE_INSTFILES
  
;--------------------------------
;Languages
 
  !insertmacro MUI_LANGUAGE "English"

;--------------------------------
;Installer Sections

Section "PCEnv" SecPCEnv

  SetOutPath "$INSTDIR" 
  File /a "..\COPYING"
  File /a ..\appSupport\win32\pcenv.exe
  File /a ${MOZILLA}\xulrunner.exe
  File /a ..\appSupport\application.ini
  SetOutPath "$INSTDIR\lib"
  File ${MOZILLA}\freebl3.dll
  File /a ${MOZILLA}\js3250.dll
  File /a ${MOZILLA}\nspr4.dll
  File /a ${MOZILLA}\nss3.dll
  File /a ${MOZILLA}\nssckbi.dll
  File /a ${MOZILLA}\plc4.dll
  File /a ${MOZILLA}\plds4.dll
  File /a ${MOZILLA}\smime3.dll
  File /a ${MOZILLA}\softokn3.dll
  File /a ${MOZILLA}\ssl3.dll
  File /a ${MOZILLA}\xpcom.dll
  File /a ${MOZILLA}\xul.dll
  File /a ..\pcenvStage\lib\XPCOMSupport-0.dll
  File /a ..\pcenvStage\lib\ccgs-0.dll
  File /a ..\pcenvStage\lib\cellml-0.dll
  File /a ..\pcenvStage\lib\cellml_context-0.dll
  File /a ..\pcenvStage\lib\cis-0.dll
  File /a ..\pcenvStage\lib\annotools-0.dll
  File /a ..\pcenvStage\lib\cevas-0.dll
  File /a ..\pcenvStage\lib\cuses-0.dll
  File /a ..\pcenvStage\lib\malaes-0.dll
  File /a ${SUPPORT_DLLS}\libgsl-0.dll
  File /a ${SUPPORT_DLLS}\libgslcblas-0.dll
  File /a ${SUPPORT_DLLS}\libxml2.dll
  SetOutPath "$INSTDIR\components"
  File /a ${MOZILLA}\components\jsconsole-clhandler.js
  File /a ${MOZILLA}\components\nsDefaultCLH.js
  File /a ${MOZILLA}\components\nsHelperAppDlg.js
  File /a ${MOZILLA}\components\nsInterfaceInfoToIDL.js
  File /a ${MOZILLA}\components\nsProgressDialog.js
  File /a ${MOZILLA}\components\nsProxyAutoConfig.js
  File /a ${MOZILLA}\components\nsResetPref.js
  File /a ${MOZILLA}\components\pluginGlue.js
  File /a ..\pcenvStage\components\pcenv.xpt
  File /a ..\pcenvStage\components\DataCollector.dll
  File /a ..\pcenvStage\components\cellml_xpcom_bridge.dll
  File /a ..\pcenvStage\components\cellml_context_xpcom_bridge.dll
  File /a ..\pcenvStage\components\ccgs_xpcom_bridge.dll
  File /a ..\pcenvStage\components\cis_xpcom_bridge.dll
  File /a ..\pcenvStage\components\annotools_xpcom_bridge.dll
  File /a ..\pcenvStage\components\cevas_xpcom_bridge.dll
  File /a ..\pcenvStage\components\cuses_xpcom_bridge.dll
  File /a ..\pcenvStage\components\malaes_xpcom_bridge.dll
  File /a ..\pcenvStage\components\PCEnvNotifications.js
  File /a ..\pcenvStage\components\PCEnvContentAPI.js
  SetOutPath "$INSTDIR\chrome"
  File /a ${MOZILLA}\chrome\toolkit.jar
  File /a ${MOZILLA}\chrome\toolkit.manifest
  File /a ${MOZILLA}\chrome\classic.jar
  File /a ${MOZILLA}\chrome\classic.manifest
  File /a ${MOZILLA}\chrome\en-US.jar
  File /a ${MOZILLA}\chrome\en-US.manifest
  File /a ..\appSupport\installed-chrome.txt
  File /a ..\chrome.manifest
  File /a ..\pcenvStage\chrome\pcenv.jar
  SetOutPath "$INSTDIR\res"
  File /a ${MOZILLA}\res\ua.css
  File /a ${MOZILLA}\res\quirk.css
  File /a ${MOZILLA}\res\hiddenWindow.html
  File /a ${MOZILLA}\res\forms.css
  File /a ${MOZILLA}\res\html.css
  File /a ${MOZILLA}\res\charsetData.properties
  SetOutPath "$INSTDIR\res\fonts"
  File /a ${MOZILLA}\res\fonts\mathfont.properties
  File /a ${MOZILLA}\res\fonts\mathfontCMSY10.properties
  File /a ${MOZILLA}\res\fonts\mathfontMath1.properties
  File /a ${MOZILLA}\res\fonts\mathfontMath4.properties
  File /a ${MOZILLA}\res\fonts\mathfontSymbol.properties
  File /a ${MOZILLA}\res\fonts\mathfontCMEX10.properties
  File /a ${MOZILLA}\res\fonts\mathfontMTExtra.properties
  File /a ${MOZILLA}\res\fonts\mathfontMath2.properties
  File /a ${MOZILLA}\res\fonts\mathfontPUA.properties
  SetOutPath "$INSTDIR\greprefs"
  File /a ${MOZILLA}\greprefs\all.js
  File /a ${MOZILLA}\greprefs\security-prefs.js
  SetOutPath "$INSTDIR\defaults\pref"
  File /a ..\appSupport\prefs.js

  SetOutPath "$INSTDIR\gcc\bin"
  File /a ${SHIPGCC}\bin\as.exe
  File /a ${SHIPGCC}\bin\cpp.exe
  File /a ${SHIPGCC}\bin\gcc.exe
  File /a ${SHIPGCC}\bin\ld.exe
  File /a ${SHIPGCC}\bin\nm.exe

  SetOutPath "$INSTDIR\gcc\lib"
  File /a ${SHIPGCC}\lib\libmingwthrd.a

  SetOutPath "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2"
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\crt1.o
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\crt2.o
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\crtbegin.o
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\crtend.o
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\crtmt.o
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\crtst.o
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\dllcrt2.o
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\libgcc.a
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\libkernel32.a
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\libmingw32.a
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\libmingwex.a
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\libmoldname.a
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\libmsvcrt.a
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\specs

  SetOutPath "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include"
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\_mingw.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\emmintrin.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\float.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\iso646.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\limits.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\math.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\mmintrin.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\pmmintrin.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\stdarg.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\stdbool.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\stddef.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\syslimits.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\unwind.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\varargs.h
  File /a ${SHIPGCC}\lib\gcc\mingw32\3.4.2\include\xmmintrin.h

  SetOutPath "$INSTDIR\gcc\libexec\gcc\mingw32\3.4.2"
  File /a ${SHIPGCC}\libexec\gcc\mingw32\3.4.2\as.exe
  File /a ${SHIPGCC}\libexec\gcc\mingw32\3.4.2\cc1.exe
  File /a ${SHIPGCC}\libexec\gcc\mingw32\3.4.2\collect2.exe
  File /a ${SHIPGCC}\libexec\gcc\mingw32\3.4.2\ld.exe

  SetOutPath "$INSTDIR\gcc\mingw32\lib\ldscripts"
  File /a ${SHIPGCC}\mingw32\lib\ldscripts\i386pe.x
  File /a ${SHIPGCC}\mingw32\lib\ldscripts\i386pe.xbn
  File /a ${SHIPGCC}\mingw32\lib\ldscripts\i386pe.xn
  File /a ${SHIPGCC}\mingw32\lib\ldscripts\i386pe.xr
  File /a ${SHIPGCC}\mingw32\lib\ldscripts\i386pe.xu

  SetOutPath "$INSTDIR\chrome\icons\default"
  File /a ..\pcenvStage\chrome\icons\default\default.ico

  SetOutPath "$INSTDIR\tutorial"
  File /a ..\tutorial\coupled_pendulum_model.xml

  ;Store installation folder
  WriteRegStr HKCU "Software\The University of Auckland\PCEnv" "" $INSTDIR
  
  ;Create uninstaller
  WriteUninstaller "$INSTDIR\Uninstall.exe"

  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
    
    ;Create shortcuts
    CreateDirectory "$SMPROGRAMS\$STARTMENU_FOLDER"
    CreateShortCut "$SMPROGRAMS\$STARTMENU_FOLDER\PCEnv.lnk" "$INSTDIR\pcenv.exe" "" "$INSTDIR\chrome\icons\default\default.ico"
    CreateShortCut "$SMPROGRAMS\$STARTMENU_FOLDER\Uninstall.lnk" "$INSTDIR\Uninstall.exe"
  
  !insertmacro MUI_STARTMENU_WRITE_END

SectionEnd

;--------------------------------
;Descriptions

  ;Language strings
  LangString DESC_SecPCEnv ${LANG_ENGLISH} "The Physiome CellML Environment"

  ;Assign language strings to sections
  !insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
    !insertmacro MUI_DESCRIPTION_TEXT ${SecPCEnv} $(DESC_SecPCEnv)
  !insertmacro MUI_FUNCTION_DESCRIPTION_END

;--------------------------------
;Uninstaller Section

Section "Uninstall"

  ;ADD YOUR OWN FILES HERE...

  Delete "$INSTDIR\COPYING"
  Delete "$INSTDIR\pcenv.exe"
  Delete "$INSTDIR\xulrunner.exe"
  Delete "$INSTDIR\application.ini"
  Delete "$INSTDIR\lib\freebl3.dll"
  Delete "$INSTDIR\lib\js3250.dll"
  Delete "$INSTDIR\lib\nspr4.dll"
  Delete "$INSTDIR\lib\nss3.dll"
  Delete "$INSTDIR\lib\nssckbi.dll"
  Delete "$INSTDIR\lib\plc4.dll"
  Delete "$INSTDIR\lib\plds4.dll"
  Delete "$INSTDIR\lib\smime3.dll"
  Delete "$INSTDIR\lib\softokn3.dll"
  Delete "$INSTDIR\lib\ssl3.dll"
  Delete "$INSTDIR\lib\xpcom.dll"
  Delete "$INSTDIR\lib\xul.dll"
  Delete "$INSTDIR\lib\XPCOMSupport-0.dll"
  Delete "$INSTDIR\lib\ccgs-0.dll"
  Delete "$INSTDIR\lib\cellml-0.dll"
  Delete "$INSTDIR\lib\cellml_context-0.dll"
  Delete "$INSTDIR\lib\cis-0.dll"
  Delete "$INSTDIR\lib\malaes-0.dll"
  Delete "$INSTDIR\lib\cuses-0.dll"
  Delete "$INSTDIR\lib\annotools-0.dll"
  Delete "$INSTDIR\lib\cevas-0.dll"
  Delete "$INSTDIR\lib\libgsl-0.dll"
  Delete "$INSTDIR\lib\libgslcblas-0.dll"
  Delete "$INSTDIR\lib\libxml2-2.dll"
  RMDir "$INSTDIR\lib"
  Delete "$INSTDIR\components\jsconsole-clhandler.js"
  Delete "$INSTDIR\components\nsDefaultCLH.js"
  Delete "$INSTDIR\components\nsHelperAppDlg.js"
  Delete "$INSTDIR\components\nsInterfaceInfoToIDL.js"
  Delete "$INSTDIR\components\nsProgressDialog.js"
  Delete "$INSTDIR\components\nsProxyAutoConfig.js"
  Delete "$INSTDIR\components\nsResetPref.js"
  Delete "$INSTDIR\components\pluginGlue.js"
  Delete "$INSTDIR\components\pcenv.xpt"
  Delete "$INSTDIR\components\DataCollector.dll"
  Delete "$INSTDIR\components\cellml_xpcom_bridge.dll"
  Delete "$INSTDIR\components\cellml_context_xpcom_bridge.dll"
  Delete "$INSTDIR\components\ccgs_xpcom_bridge.dll"
  Delete "$INSTDIR\components\cis_xpcom_bridge.dll"
  Delete "$INSTDIR\components\malaes_xpcom_bridge.dll"
  Delete "$INSTDIR\components\cuses_xpcom_bridge.dll"
  Delete "$INSTDIR\components\annotools_xpcom_bridge.dll"
  Delete "$INSTDIR\components\cevas_xpcom_bridge.dll"
  Delete "$INSTDIR\components\PCEnvNotifications.js"
  Delete "$INSTDIR\components\PCEnvContentAPI.js"
  RMDir "$INSTDIR\components"
  Delete "$INSTDIR\chrome\toolkit.jar"
  Delete "$INSTDIR\chrome\toolkit.manifest"
  Delete "$INSTDIR\chrome\classic.jar"
  Delete "$INSTDIR\chrome\classic.manifest"
  Delete "$INSTDIR\chrome\en-US.jar"
  Delete "$INSTDIR\chrome\en-US.manifest"
  Delete "$INSTDIR\chrome\installed-chrome.txt"
  Delete "$INSTDIR\chrome\chrome.manifest"
  Delete "$INSTDIR\chrome\pcenv.jar"
  Delete "$INSTDIR\res\ua.css"
  Delete "$INSTDIR\res\quirk.css"
  Delete "$INSTDIR\res\hiddenWindow.html"
  Delete "$INSTDIR\res\forms.css"
  Delete "$INSTDIR\res\html.css"
  Delete "$INSTDIR\res\charsetData.properties"
  Delete "$INSTDIR\res\fonts\mathfont.properties"
  Delete "$INSTDIR\res\fonts\mathfontCMSY10.properties"
  Delete "$INSTDIR\res\fonts\mathfontMath1.properties"
  Delete "$INSTDIR\res\fonts\mathfontMath4.properties"
  Delete "$INSTDIR\res\fonts\mathfontSymbol.properties"
  Delete "$INSTDIR\res\fonts\mathfontCMEX10.properties"
  Delete "$INSTDIR\res\fonts\mathfontMTExtra.properties"
  Delete "$INSTDIR\res\fonts\mathfontMath2.properties"
  Delete "$INSTDIR\res\fonts\mathfontPUA.properties"
  RMDir "$INSTDIR\res\fonts"
  RMDir "$INSTDIR\res"
  Delete "$INSTDIR\greprefs\all.js"
  Delete "$INSTDIR\greprefs\security-prefs.js"
  RMDir "$INSTDIR\greprefs"
  Delete "$INSTDIR\pref\prefs.js"
  RMDir "$INSTDIR\pref"
  Delete "$INSTDIR\chrome\icons\default\default.ico"
  RMDir "$INSTDIR\chrome\icons\default"
  RMDir "$INSTDIR\chrome\icons"
  RMDir "$INSTDIR\chrome"
  Delete "$INSTDIR\gcc\bin\as.exe"
  Delete "$INSTDIR\gcc\bin\cpp.exe"
  Delete "$INSTDIR\gcc\bin\gcc.exe"
  Delete "$INSTDIR\gcc\bin\ld.exe"
  Delete "$INSTDIR\gcc\bin\nm.exe"
  Delete "$INSTDIR\gcc\lib\libmingwthrd.a"
  RMDir "$INSTDIR\gcc\bin"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\crt1.o"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\crt2.o"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\crtbegin.o"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\crtend.o"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\crtmt.o"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\crtst.o"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\dllcrt2.o"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\libgcc.a"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\libkernel32.a"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\libmingw32.a"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\libmingwex.a"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\libmoldname.a"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\libmsvcrt.a"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\specs"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\_mingw.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\emmintrin.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\float.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\iso646.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\limits.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\math.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\mmintrin.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\pmmintrin.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\stdarg.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\stdbool.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\stddef.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\syslimits.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\unwind.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\varargs.h"
  Delete "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include\xmmintrin.h"
  RMDir "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2\include"
  RMDir "$INSTDIR\gcc\lib\gcc\mingw32\3.4.2"
  RMDir "$INSTDIR\gcc\lib\gcc\mingw32"
  RMDir "$INSTDIR\gcc\lib\gcc"
  RMDir "$INSTDIR\gcc\lib"
  Delete "$INSTDIR\gcc\libexec\gcc\mingw32\3.4.2\as.exe"
  Delete "$INSTDIR\gcc\libexec\gcc\mingw32\3.4.2\cc1.exe"
  Delete "$INSTDIR\gcc\libexec\gcc\mingw32\3.4.2\collect2.exe"
  Delete "$INSTDIR\gcc\libexec\gcc\mingw32\3.4.2\ld.exe"
  RMDir "$INSTDIR\gcc\libexec\gcc\mingw32\3.4.2"
  RMDir "$INSTDIR\gcc\libexec\gcc\mingw32"
  RMDir "$INSTDIR\gcc\libexec\gcc"
  RMDir "$INSTDIR\gcc\libexec"
  Delete "$INSTDIR\gcc\mingw32\lib\ldscripts\i386pe.x"
  Delete "$INSTDIR\gcc\mingw32\lib\ldscripts\i386pe.xbn"
  Delete "$INSTDIR\gcc\mingw32\lib\ldscripts\i386pe.xn"
  Delete "$INSTDIR\gcc\mingw32\lib\ldscripts\i386pe.xr"
  Delete "$INSTDIR\gcc\mingw32\lib\ldscripts\i386pe.xu"
  RMDir "$INSTDIR\gcc\mingw32\lib\ldscripts"
  RMDir "$INSTDIR\gcc\mingw32\lib"
  RMDir "$INSTDIR\gcc\mingw32"
  RMDir "$INSTDIR\gcc"
  Delete "$INSTDIR\tutorial\coupled_pendulum_model.xml"
  RMDir "$INSTDIR\tutorial"
  Delete "$INSTDIR\Uninstall.exe"

  RMDir "$INSTDIR"

  !insertmacro MUI_STARTMENU_GETFOLDER Application $MUI_TEMP

  Delete "$SMPROGRAMS\$MUI_TEMP\Uninstall.lnk"

  ;Delete empty start menu parent diretories
  StrCpy $MUI_TEMP "$SMPROGRAMS\$MUI_TEMP"

  startMenuDeleteLoop:
	ClearErrors
    RMDir $MUI_TEMP
    GetFullPathName $MUI_TEMP "$MUI_TEMP\.."
    
    IfErrors startMenuDeleteLoopDone
  
    StrCmp $MUI_TEMP $SMPROGRAMS startMenuDeleteLoopDone startMenuDeleteLoop
  startMenuDeleteLoopDone:

  DeleteRegKey /ifempty HKCU "Software\The University of Auckland\PCEnv"

SectionEnd
